cascading.flow.process

## Class ProcessFlowStep

- java.lang.Object
- - cascading.flow.planner.BaseFlowStep
  - - cascading.flow.process.ProcessFlowStep

All Implemented Interfaces:
  FlowStep, ProcessModel, ProcessLogger, java.io.Serializable

    public class ProcessFlowStep
    extends BaseFlowStep

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class cascading.flow.planner.BaseFlowStep

`elementGraph, flowNodeGraph, flowStepStats, sinks, sources, tempSink`

### Fields inherited from interface cascading.flow.FlowStep

`CASCADING_FLOW_STEP_ID`

### Fields inherited from interface cascading.util.ProcessLogger

`NULL`

### Constructor Summary

Constructors
Constructor and Description
`ProcessFlowStep(riffle.process.scheduler.ProcessWrapper processWrapper, int counter)`
`ProcessFlowStep(riffle.process.scheduler.ProcessWrapper processWrapper, int counter, java.util.Map<java.lang.String,java.lang.String> flowStepDescriptor)`

### Method Summary

Methods
`void` `clean(java.lang.Object object)`
`protected FlowStepJob` `createFlowStepJob(ClientState clientState, FlowProcess flowProcess, java.lang.Object initializedStepConfig)`
`java.lang.Object` `createInitializedConfig(FlowProcess flowProcess, java.lang.Object parentConfig)` Public for testing.
`java.util.Map<java.lang.Object,java.lang.Object>` `getConfigAsProperties()` Method getConfigAsProperties converts the internal configuration object into a `Map` of key value pairs.

### Methods inherited from class cascading.flow.planner.BaseFlowStep

`addAllGroups, addGroup, addGroups, addListener, addProcessAnnotation, addProcessAnnotation, addSink, addSinks, addSource, addSources, clean, commitSinks, configure, containsPipeNamed, createClientState, equals, fireOnCompleted, fireOnRunning, fireOnStarting, fireOnStopping, fireOnThrowable, getAllAccumulatedSources, getAllOperations, getAllStreamedSources, getAnnotations, getConfig, getCreateFlowStepJob, getElementGraph, getFlow, getFlowID, getFlowName, getFlowNodeGraph, getFlowStepDescriptor, getFlowStepJob, getFlowStepStats, getGroup, getGroups, getID, getName, getNextFlowElement, getNextScope, getNodeDisplayName, getNumFlowNodes, getOrdinal, getPreviousScopes, getProcessAnnotations, getSink, getSinkElements, getSinkName, getSinkTaps, getSinkWith, getSourceElements, getSourceName, getSourceTaps, getSourceWith, getStepDisplayName, getStepDisplayName, getSubmitPriority, getTrap, getTrapMap, getTraps, hashCode, hasListeners, initConfFromNodeConfigDef, initConfFromStepConfigDef, isDebugEnabled, isInfoEnabled, logDebug, logError, logError, logInfo, logWarn, logWarn, logWarn, prepareResources, removeListener, rollbackSinks, setConfig, setFlow, setFlowName, setFlowStepDescriptor, setFlowStepStats, setName, setOrdinal, setSubmitPriority, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ProcessFlowStep

    public ProcessFlowStep(riffle.process.scheduler.ProcessWrapper processWrapper,
                   int counter)

#### ProcessFlowStep

    public ProcessFlowStep(riffle.process.scheduler.ProcessWrapper processWrapper,
                   int counter,
                   java.util.Map<java.lang.String,java.lang.String> flowStepDescriptor)

### Method Detail

#### getConfigAsProperties

    public java.util.Map<java.lang.Object,java.lang.Object> getConfigAsProperties()

Description copied from interface: `FlowStep`
Method getConfigAsProperties converts the internal configuration object into a `Map` of key value pairs.

Specified by:
  `getConfigAsProperties` in interface `FlowStep`
Overrides:
  `getConfigAsProperties` in class `BaseFlowStep`
Returns:
  a Map of key/value pairs, may return an empty collection if unsupported

#### createInitializedConfig

    public java.lang.Object createInitializedConfig(FlowProcess flowProcess,
                                           java.lang.Object parentConfig)

Description copied from class: `BaseFlowStep`
Public for testing.

Specified by:
  `createInitializedConfig` in class `BaseFlowStep`
Returns:

#### clean

    public void clean(java.lang.Object object)

Specified by:
  `clean` in class `BaseFlowStep`

#### createFlowStepJob

    protected FlowStepJob createFlowStepJob(ClientState clientState,
                                FlowProcess flowProcess,
                                java.lang.Object initializedStepConfig)

Specified by:
  `createFlowStepJob` in class `BaseFlowStep`